Notebooks
Stream a single notebook section
POST
/
api
/
v1
/
reports
/
stream
/
{sectionKey}
Stream a single notebook section
curl --request POST \
--url https://api.thisiswhyimhigh.com/api/v1/reports/stream/{sectionKey} \
--header 'Content-Type: application/json' \
--data '
{
"orderItems": [
{
"strainName": "<string>",
"grams": 123,
"price": 123,
"thcPct": 123,
"cbdPct": 123,
"terpenes": [
{
"name": "<string>",
"percentage": 123
}
],
"effects": [
"<string>"
],
"aromas": [
"<string>"
]
}
],
"orderMetadata": {
"dispensaryName": "<string>",
"orderDate": "<string>",
"totalSpent": 123
},
"previousSections": {}
}
'import requests
url = "https://api.thisiswhyimhigh.com/api/v1/reports/stream/{sectionKey}"
payload = {
"orderItems": [
{
"strainName": "<string>",
"grams": 123,
"price": 123,
"thcPct": 123,
"cbdPct": 123,
"terpenes": [
{
"name": "<string>",
"percentage": 123
}
],
"effects": ["<string>"],
"aromas": ["<string>"]
}
],
"orderMetadata": {
"dispensaryName": "<string>",
"orderDate": "<string>",
"totalSpent": 123
},
"previousSections": {}
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
orderItems: [
{
strainName: '<string>',
grams: 123,
price: 123,
thcPct: 123,
cbdPct: 123,
terpenes: [{name: '<string>', percentage: 123}],
effects: ['<string>'],
aromas: ['<string>']
}
],
orderMetadata: {dispensaryName: '<string>', orderDate: '<string>', totalSpent: 123},
previousSections: {}
})
};
fetch('https://api.thisiswhyimhigh.com/api/v1/reports/stream/{sectionKey}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": "<unknown>",
"meta": {
"pagination": {
"limit": 0,
"offset": 0,
"total": 0,
"hasMore": true
},
"timestamp": "2023-11-07T05:31:56Z",
"requestId": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>",
"stack": "<string>"
},
"meta": {
"timestamp": "2023-11-07T05:31:56Z",
"requestId": "<string>",
"path": "<string>",
"method": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>",
"stack": "<string>"
},
"meta": {
"timestamp": "2023-11-07T05:31:56Z",
"requestId": "<string>",
"path": "<string>",
"method": "<string>"
}
}Path Parameters
Body
application/json
⌘I
Stream a single notebook section
